Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000096Core InformRelationspublic2010-06-21 15:002010-10-28 00:30
Reporterfundin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6F95 
Summary0000096: Text used with the "relates" verb is not converted to indexed text when necessary
DescriptionThe source results in a string of run-time errors:

[** Programming error: tried to read outside memory using --> **]
*** Impossible runtime hashing ***
*** Deep copy failed: types mismatch ***
*** Deep copy failed: types mismatch ***
Minimal Source Text To Reproduce
Home is a room.

Partnership relates various indexed texts to various indexed texts.

When play begins:
	now the partnership relation relates "apples" to "bananas".
Additional InformationI've tried to trigger this bug in other ways, but it seems to be just as specific as the summary says.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000110)
jmcgrew (administrator)
2010-06-21 17:35

It's happening much more broadly for me, e.g. this triggers it twice:

<code>
Home is a room.

Partnership relates various indexed texts to various indexed texts.

After waiting:
say "1.";
now the partnership relation relates "apples" to "bananas";
say "2.";
let foo be a various-to-various relation of indexed texts to indexed texts;
now foo relates "apples" to "bananas".

Test me with "z".
</code>
(0000113)
jmcgrew (administrator)
2010-06-21 18:46

Aha: "apples" and "bananas" are being passed to the relation handler as plain text, when they should be cast to indexed text first. A workaround is to explicitly convert them to indexed text first, using temporary variables or a phrase.
(0000610)
graham (administrator)
2010-09-29 00:49

Fixed.

- Issue History
Date Modified Username Field Change
2010-06-21 15:00 fundin New Issue
2010-06-21 17:35 jmcgrew Note Added: 0000110
2010-06-21 17:35 jmcgrew Assigned To => jmcgrew
2010-06-21 17:35 jmcgrew Severity mild => serious
2010-06-21 17:35 jmcgrew Status new => confirmed
2010-06-21 18:40 jmcgrew Status confirmed => assigned
2010-06-21 18:46 jmcgrew Note Added: 0000113
2010-06-21 18:47 jmcgrew Assigned To jmcgrew =>
2010-06-21 18:47 jmcgrew Status assigned => confirmed
2010-06-21 18:51 jmcgrew Severity serious => mild
2010-06-21 18:51 jmcgrew Summary Can't use relations of indexed text in 'when play begins' rules => Text used with the "relates" verb is not converted to indexed text when necessary
2010-06-28 15:43 EmacsUser Relationship added related to 0000137
2010-09-26 12:19 EmacsUser Relationship deleted related to 0000137
2010-09-29 00:49 graham Note Added: 0000610
2010-09-29 00:49 graham Status confirmed => resolved
2010-09-29 00:49 graham Resolution open => fixed
2010-09-29 00:49 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker